summaryrefslogtreecommitdiffstats
path: root/network/SpiderOakONE
diff options
context:
space:
mode:
author Alfredo Tomasini2019-09-14 06:06:53 +0200
committer Willy Sudiarto Raharjo2019-09-14 06:06:53 +0200
commit95f2e0091592c434c2978d47219da47d3c8d473b (patch)
tree4e0414438396f099d69bcec65b990541b0f13eb9 /network/SpiderOakONE
parentf0cd9c51b974b00cddaf97564e5a2a3d2fa2f233 (diff)
downloadslackbuilds-95f2e0091592c434c2978d47219da47d3c8d473b.tar.gz
network/SpiderOakONE: Added (backup system).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/SpiderOakONE')
-rw-r--r--network/SpiderOakONE/README1
-rw-r--r--network/SpiderOakONE/SpiderOakONE.SlackBuild58
-rw-r--r--network/SpiderOakONE/SpiderOakONE.info10
-rw-r--r--network/SpiderOakONE/slack-desc19
4 files changed, 88 insertions, 0 deletions
diff --git a/network/SpiderOakONE/README b/network/SpiderOakONE/README
new file mode 100644
index 0000000000..eef2963167
--- /dev/null
+++ b/network/SpiderOakONE/README
@@ -0,0 +1 @@
+SpiderOAKONE is a could backup , sync provided by SpiderOAK
diff --git a/network/SpiderOakONE/SpiderOakONE.SlackBuild b/network/SpiderOakONE/SpiderOakONE.SlackBuild
new file mode 100644
index 0000000000..d26c38d6a0
--- /dev/null
+++ b/network/SpiderOakONE/SpiderOakONE.SlackBuild
@@ -0,0 +1,58 @@
+#!/bin/sh
+
+# Slackware build script for SpiderOak
+
+# Copyright (c) 2019 Alfredo Tomasini <alto.tom@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Written by Alfredo Tomasini <alto.tom@gmail.com>
+# SpiderOakONE-7.5.0-slack_tar_x64.tgz
+
+PRGNAM="SpiderOakONE"
+EXTRA="slack_tar_x64"
+VERSION=${VERSION:-7.5.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=`uname -a | cut -f12 -d\ `
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+rm -rf $TMP/$PRGNAM
+mkdir -p $TMP $PKG $OUTPUT $TMP/$PRGNAM
+cd $TMP/$PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION-$EXTRA.tgz || tar xvf $CWD/slack_tar_x64
+chown -R root:root .
+
+cp -r * $PKG
+mv $PKG/usr/share/man/ $PKG/usr/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/SpiderOakONE/* $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share/doc/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-${VERSION}-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/SpiderOakONE/SpiderOakONE.info b/network/SpiderOakONE/SpiderOakONE.info
new file mode 100644
index 0000000000..739af57432
--- /dev/null
+++ b/network/SpiderOakONE/SpiderOakONE.info
@@ -0,0 +1,10 @@
+PRGNAM="SpiderOakONE"
+VERSION="7.5.0"
+HOMEPAGE="https://spideroak.com"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://spideroak.com/release/spideroak/slack_tar_x64"
+MD5SUM_x86_64="0c0ed96e7ecb32aa6b138f03871b12fa"
+REQUIRES=""
+MAINTAINER="Alfredo Tomasini"
+EMAIL="alto.tom@gmail.com"
diff --git a/network/SpiderOakONE/slack-desc b/network/SpiderOakONE/slack-desc
new file mode 100644
index 0000000000..1ca689e2de
--- /dev/null
+++ b/network/SpiderOakONE/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+SpiderOakONE: SpiderOakONE (backup system)
+SpiderOakONE:
+SpiderOakONE: SpiderOakONE is a cloud backup and syncrhonization system from
+SpiderOakONE: spideroak.com
+SpiderOakONE:
+SpiderOakONE: Homepage: https://spideroak.com/
+SpiderOakONE:
+SpiderOakONE:
+SpiderOakONE:
+SpiderOakONE:
+SpiderOakONE: